Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ConsumerAdmin Class Reference

ConsumerAdmin. More...

`#include <CEC_ConsumerAdmin.h>`

Inheritance diagram for TAO_CEC_ConsumerAdmin

[legend]
Collaboration diagram for TAO_CEC_ConsumerAdmin:

[legend]
List of all members.

## Public Methods
| TAO_CEC_ConsumerAdmin (TAO_CEC_EventChannel* event_channel)
virtual | ~TAO_CEC_ConsumerAdmin (void)
| destructor...
void | for_each (TAO_ESF_Worker<TAO_CEC_ProxyPushSupplier> *worker, CORBA::Environment &ACE_TRY_ENV)
| For each elements call <worker->work()>.
void | for_each (TAO_ESF_Worker<TAO_CEC_ProxyPullSupplier> *worker, CORBA::Environment &ACE_TRY_ENV)
void | push (const CORBA::Any &event, CORBA::Environment &ACE_TRY_ENV)
| Push the event to all the consumers.
virtual void | connected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
| Used to inform the EC that a Supplier has connected or disconnected from it.
virtual void | reconnected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPushSupplier*, CORBA::Environment&)
virtual void | connected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
virtual void | reconnected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPullSupplier*, CORBA::Environment&)
virtual void | shutdown (CORBA::Environment&)
| The event channel is shutting down, inform all the consumers of this.

## Detailed Description

ConsumerAdmin.

Implements the ConsumerAdmin interface, i.e. the factory for ProxyPushSupplier objects. = MEMORY MANAGMENT It does not assume ownership of the TAO_CEC_EventChannel object; but it *does* assume ownership of the TAO_CEC_ProxyPushSupplier_Set object. = LOCKING No provisions for locking, access must be serialized externally. = TODO

## Constructor & Destructor Documentation

TAO_CEC_ConsumerAdmin::TAO_CEC_ConsumerAdmin ( | TAO_CEC_EventChannel * event_channel )

| constructor. If <supplier_set> is nil then it builds one using the <event_channel> argument. In any case it assumes ownership.

TAO_CEC_ConsumerAdmin::~TAO_CEC_ConsumerAdmin ( | void )`[virtual]`

| destructor...

## Member Function Documentation

void TAO_CEC_ConsumerAdmin::connected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_ConsumerAdmin::connected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Used to inform the EC that a Supplier has connected or disconnected from it.

void TAO_CEC_ConsumerAdmin::disconnected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_ConsumerAdmin::disconnected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

ACE_INLINE void TAO_CEC_ConsumerAdmin::for_each ( | TAO_ESF_Worker< TAO_CEC_ProxyPullSupplier >* worker,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE void TAO_CEC_ConsumerAdmin::for_each ( | TAO_ESF_Worker< TAO_CEC_ProxyPushSupplier >* worker,
| CORBA::Environment & ACE_TRY_ENV )

| For each elements call <worker->work()>.

void TAO_CEC_ConsumerAdmin::push ( | const CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV )

| Push the event to all the consumers.

void TAO_CEC_ConsumerAdmin::reconnected ( | TAO_CEC_ProxyPullSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_ConsumerAdmin::reconnected ( | TAO_CEC_ProxyPushSupplier * supplier,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_ConsumerAdmin::shutdown ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| The event channel is shutting down, inform all the consumers of this.

The documentation for this class was generated from the following files:

- CEC_ConsumerAdmin.h
- CEC_ConsumerAdmin.cpp
- CEC_ConsumerAdmin.i